<?php
namespace Claromentis\Infocapture\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array();
use Claromentis\Core\Event\Event;
class StatusReorderEvent extends Event implements ProjectEventInterface
{
    protected $project;
    protected $old_order;
    protected $new_order;
    
    
    
    
    
    
    
    
    public function __construct(\HDProject $project, array $_59ad63a9ddbd1ceceefdac37c79cca12, array $_a0a080f47baa7c3e1f264a2b4409e768)
    {
        $this->project = $project;
        $this->old_order = $_59ad63a9ddbd1ceceefdac37c79cca12;
        $this->new_order = $_a0a080f47baa7c3e1f264a2b4409e768;
    }
    
    
    
    
    public function getProject() : \HDProject
    {
        return $this->project;
    }
    
    
    
    
    public function getNewOrder() : array
    {
        return $this->new_order;
    }
    
    
    
    
    public function getOldOrder() : array
    {
        return $this->old_order;
    }
}